Subject: Re: [tcpm] Additional editorial comments on draft-ietf-tcpm-rfc793bis-20

From: [email-masked]
Date: Thu, 3 Jun 2021 11:47:34 +0200

> On 17. May 2021, at 16:34, Wesley Eddy <[email-masked]> wrote:
> 
> On 3/12/2021 5:13 AM, Gorry Fairhurst wrote:
>> I did some very careful reading of a few sections of  rfc793bis, and have additional some late editorial comments.
>> 
>> I suspect these really are minor, but I'd hope worthwhile:
>> 
>> ---
>> 
>> (1a) The text uses /may not/, in these two places:
>> 
>> /Note that some options may not be included on all segments/
>> 
>> - I wonder if this is umambiguous to all English speakers (it's not so clear to me), I think it could be better as
>> 
>> /Note that some options might not be included on all segments/
>> 
>> or ...
>> 
>> /Some of the segments might not include include all options/
>> 
>> ... of something like that this?
>> 
>> ---
>> 
>> (1b) I'd suggest similarly avoiding /may not/ in the description of IP Option processing.
>> 
>> ---
>> 
>> (2) The document seems to be missing an IPv6 "view" of extensions in the IP Options part, section 3.6.1 (This is mentioned in the pseudo-header compuation). I suggest we add a brief sentence saying the calculation of "IPv6 Extension Headers" follows thar for IP Option size.
> 
> 
> I missed your couple of comments above in the prior -21 revision, but Michael S. reminded me of them, and I've incorporated them into the -22 revision just posted.  On the IPv6 comment, I changed the notion of "IP options" in a couple of places to "IPv4 options or IPv6 extension headers" which I think accomplishes the right thing.
Hi Wes,

I found one more issue on page 79/80.

OLD
               SYN-RECEIVED STATE

                  If SND.UNA < SEG.ACK =< SND.NXT then enter ESTABLISHED
                  state and continue processing with variables below set
                  to:

                     SND.WND <- SEG.WND
                     SND.WL1 <- SEG.SEQ
                     SND.WL2 <- SEG.ACK

                     If the segment acknowledgment is not acceptable,
                     form a reset segment,

                        <SEQ=SEG.ACK><CTL=RST>

                     and send it.
NEW
               SYN-RECEIVED STATE

                  If SND.UNA < SEG.ACK =< SND.NXT then enter ESTABLISHED
                  state and continue processing with variables below set
                  to:

                     SND.WND <- SEG.WND
                     SND.WL1 <- SEG.SEQ
                     SND.WL2 <- SEG.ACK

                  If the segment acknowledgment is not acceptable,
                  form a reset segment,

                     <SEQ=SEG.ACK><CTL=RST>

                  and send it.

The change is only the indentation of the last sentence.

Best regards
Michael
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: Wesley Eddy <[email-masked]>
Date: Sun, 6 Jun 2021 23:05:05 -0400

Thanks Michael, the fix you mention below is in my working copy of the 
next -23 revision, but I just wanted to point out that it looks like 
this is minor issue of extra indentation is from the original RFC 793.  
I'm assuming it's obvious that we want to fix it, and just pointing this 
out to the working group for completeness.